All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_pcm_scope_ops_t Struct Reference
Scope Plugin Extension

## Data Fields

int(* | enable )(snd_pcm_scope_t *scope)
| Enable and prepare it using current params. More...
void(* | disable )(snd_pcm_scope_t *scope)
| Disable. More...
void(* | start )(snd_pcm_scope_t *scope)
| PCM has been started. More...
void(* | stop )(snd_pcm_scope_t *scope)
| PCM has been stopped. More...
void(* | update )(snd_pcm_scope_t *scope)
| New frames are present. More...
void(* | reset )(snd_pcm_scope_t *scope)
| Reset status. More...
void(* | close )(snd_pcm_scope_t *scope)
| PCM is closing. More...

## Detailed Description

SND_PCM_TYPE_METER scope functions

## Field Documentation

void(* snd_pcm_scope_ops_t::close)(snd_pcm_scope_t *scope)

PCM is closing.

Parameters

  scope | scope handle

void(* snd_pcm_scope_ops_t::disable)(snd_pcm_scope_t *scope)

Disable.

Parameters

  scope | scope handle

int(* snd_pcm_scope_ops_t::enable)(snd_pcm_scope_t *scope)

Enable and prepare it using current params.

Parameters

  scope | scope handle

void(* snd_pcm_scope_ops_t::reset)(snd_pcm_scope_t *scope)

Reset status.

Parameters

  scope | scope handle

void(* snd_pcm_scope_ops_t::start)(snd_pcm_scope_t *scope)

PCM has been started.

Parameters

  scope | scope handle

void(* snd_pcm_scope_ops_t::stop)(snd_pcm_scope_t *scope)

PCM has been stopped.

Parameters

  scope | scope handle

void(* snd_pcm_scope_ops_t::update)(snd_pcm_scope_t *scope)

New frames are present.

Parameters

  scope | scope handle

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/pcm.h